{ lib, ... }:

lib.extra.mkConfig {
  enabledModules = [
    # List of modules to enable
    "dgn-fail2ban"
    "dgn-web"
  ];

  enabledServices = [
    # List of services to enable
    "atticd"
    "forgejo"
    "forgejo-runners"
    "garage"
    "netbird"
    "peertube"
  ];

  extraConfig = {
    dgn-fail2ban.jails.sshd-preauth.enabled = true;

    dgn-hardware.useZfs = true;

    services.netbird.enable = true;
  };

  root = ./.;
}
