{ lib, ... }:

lib.extra.mkConfig {
  enabledModules = [
    # List of modules to enable
    "dgn-fail2ban"
    "dgn-web"
  ];

  enabledServices = [
    # List of services to enable
    "castopod"
    "eleves"
    "linkal"
    "matterbridge"
    "metis"
    "ntfy-sh"
    "plausible"
    "redirections"
    "static"
    "wordpress"
  ];

  extraConfig = {
    services.netbird.enable = true;
  };

  root = ./.;
}
